Operation CategoriesAssignment version history

Assignment version history

Append-only: every value change creates a version snapshot. Answers "who changed the tagging and when"

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/operations/transfer/example_string/categories/example_string/versions" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "version": 42,
      "action": "created",
      "categorySchemaVersion": 42,
      "changedById": "example_string",
      "changedAt": "2026-07-02T11:25:15.134000Z",
      "changeNote": "example_string"
    }
  ]
}
GET
/api/v1/vaults/{code}/operations/{type}/{id}/categories/{assignmentId}/versions
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault
typestring
Required
Allowed values:transferdeposit

Responses

itemsarray
Required